> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get retrieves a specific step-up transaction by ID



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/step-up/transactions/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/step-up/transactions/{id}:
    get:
      tags:
        - Step Up Authentication Transactions
      summary: Get
      description: Get retrieves a specific step-up transaction by ID
      operationId: c1.api.stepup.v1.StepUpTransactionService.Get
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: ID of the transaction to retrieve
            readOnly: false
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.stepup.v1.GetStepUpTransactionResponse
          description: Response message containing the requested step-up transaction
      x-codeSamples:
        - lang: go
          label: Get
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.StepUpTransaction.Get(ctx, operations.C1APIStepupV1StepUpTransactionServiceGetRequest{\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.GetStepUpTransactionResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.stepUpTransaction.get({
                id: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.stepup.v1.GetStepUpTransactionResponse:
      description: Response message containing the requested step-up transaction
      properties:
        transaction:
          $ref: '#/components/schemas/c1.api.stepup.v1.StepUpTransaction'
      title: Get Step Up Transaction Response
      type: object
      x-speakeasy-name-override: GetStepUpTransactionResponse
    c1.api.stepup.v1.StepUpTransaction:
      description: >
        StepUpTransaction represents a record of a step-up authentication
        attempt


        This message contains a oneof named target. Only a single field of the
        following list may be set at a time:
          - approveTask
          - test
      properties:
        approveTask:
          $ref: '#/components/schemas/c1.api.stepup.v1.StepUpTransaction.TargetTask'
        claims:
          additionalProperties: true
          readOnly: false
          type: object
        createdAt:
          format: date-time
          readOnly: true
          type: string
        errorMessage:
          description: Error message if the transaction failed
          readOnly: true
          type: string
        expiresAt:
          format: date-time
          readOnly: true
          type: string
        id:
          description: Unique identifier for the transaction
          readOnly: false
          type: string
        providerId:
          description: ID of the provider used for this step-up authentication
          readOnly: false
          type: string
        state:
          description: Current state of the transaction
          enum:
            - STEP_UP_TRANSACTION_STATE_UNSPECIFIED
            - STEP_UP_TRANSACTION_STATE_PENDING
            - STEP_UP_TRANSACTION_STATE_VERIFIED
            - STEP_UP_TRANSACTION_STATE_ERROR
          readOnly: true
          type: string
          x-speakeasy-unknown-values: allow
        test:
          $ref: '#/components/schemas/c1.api.stepup.v1.StepUpTransaction.TargetTest'
        updatedAt:
          format: date-time
          readOnly: true
          type: string
        userId:
          description: ID of the user who performed the step-up authentication
          readOnly: false
          type: string
      title: Step Up Transaction
      type: object
      x-speakeasy-name-override: StepUpTransaction
    c1.api.stepup.v1.StepUpTransaction.TargetTask:
      description: Target for approving a task
      nullable: true
      properties:
        policyStepId:
          description: ID of the policy step requiring step-up authentication
          readOnly: false
          type: string
        taskId:
          description: ID of the task being approved
          readOnly: false
          type: string
      title: Target Task
      type: object
      x-speakeasy-name-override: TargetTask
    c1.api.stepup.v1.StepUpTransaction.TargetTest:
      description: Target for testing a provider
      nullable: true
      title: Target Test
      type: object
      x-speakeasy-name-override: TargetTest
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````